# usb-other.c File Reference

`#include "usb-private.h"`
`#include "dmxinputinit.h"`
`#include "usb-other.h"`

## Functions

void | othUSBRead (DevicePtr pDev, MOTIONPROC motion, ENQUEUEPROC enqueue, CHECKPROC checkspecial, BLOCK block)
void | othUSBInit (DevicePtr pDev)
int | othUSBOn (DevicePtr pDev)
void | othUSBGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)

## Detailed Description

This code implements a low-level device driver for a non-keyboard, non-mouse USB device (e.g., a joystick or gamepad).

## Function Documentation

void othUSBGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Fill the info structure with information needed to initialize pDev.

void othUSBInit | ( | DevicePtr | pDev | ) |

| Initialize pDev using usbInit.

int othUSBOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

void othUSBRead | ( | DevicePtr | pDev,
|  | MOTIONPROC | motion,
|  | ENQUEUEPROC | enqueue,
|  | CHECKPROC | checkspecial,
|  | BLOCK | block
| ) |

| Read the USB device using usbRead.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>